summary refs log tree commit diff
path: root/pkgs/development/libraries
diff options
context:
space:
mode:
authorJohn Ericson <John.Ericson@Obsidian.Systems>2019-10-31 16:50:15 +0000
committerJohn Ericson <John.Ericson@Obsidian.Systems>2019-11-01 14:44:44 -0400
commit2811b032d639684d3983282e9d10d89f37d161d5 (patch)
tree8354d496dc4207144775f458d81c3b1224014b43 /pkgs/development/libraries
parent1290e532eac8f8a1815c0aedee94796509e04e3d (diff)
downloadnixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar.gz
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar.bz2
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar.lz
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar.xz
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.tar.zst
nixpkgs-2811b032d639684d3983282e9d10d89f37d161d5.zip
treewide: Make still dont* Variables are optional in most cases
Go beyond the obvious setup hooks now, with a bit of sed, with a skipped case:

 - cc-wrapper's `dontlink`, because it already is handled.

Also, in nix files escaping was manually added.

EMP
Diffstat (limited to 'pkgs/development/libraries')
-rw-r--r--pkgs/development/libraries/qt-5/hooks/qmake-hook.sh2
-rw-r--r--pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/pkgs/development/libraries/qt-5/hooks/qmake-hook.sh b/pkgs/development/libraries/qt-5/hooks/qmake-hook.sh
index c3373983e32..fc4a0be6282 100644
--- a/pkgs/development/libraries/qt-5/hooks/qmake-hook.sh
+++ b/pkgs/development/libraries/qt-5/hooks/qmake-hook.sh
@@ -31,6 +31,6 @@ qmakeConfigurePhase() {
     runHook postConfigure
 }
 
-if [ -z "$dontUseQmakeConfigure" -a -z "$configurePhase" ]; then
+if [ -z "${dontUseQmakeConfigure-}" -a -z "$configurePhase" ]; then
     configurePhase=qmakeConfigurePhase
 fi
diff --git a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
index d2aadbd956a..d9e5880289d 100644
--- a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
+++ b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
@@ -64,10 +64,10 @@ qtOwnPathsHook() {
 
 preFixupPhases+=" qtOwnPathsHook"
 
-# Note: $qtWrapperArgs still gets defined even if $dontWrapQtApps is set.
+# Note: $qtWrapperArgs still gets defined even if ${dontWrapQtApps-} is set.
 wrapQtAppsHook() {
     # skip this hook when requested
-    [ -z "$dontWrapQtApps" ] || return 0
+    [ -z "${dontWrapQtApps-}" ] || return 0
 
     # guard against running multiple times (e.g. due to propagation)
     [ -z "$wrapQtAppsHookHasRun" ] || return 0